/* -*-Mode: C++;-*-
 * $Id: populate.h 1.4.1.7 Mon, 02 Sep 1996 16:59:57 -0700 jmacd $
 * populate.h:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#ifndef _POPULATE_H_
#define _POPULATE_H_

extern "C" {
#include "rx.h"
}

class PrVoidError;

extern PrVoidError prcs_compile_regex(const char* pat, re_pattern_buffer *reg);
extern bool prcs_regex_matches(const char* pat, re_pattern_buffer *reg);

class FileRecord {
public:
    FileRecord() { }
    FileRecord(FileType t0, Dstring* n0) :type(t0), name(n0) { }
    FileType type;
    Dstring *name;
};

#endif
