/* -*-Mode: C++;-*-
 * $Id: checkin.h 1.3.1.4.1.7 Fri, 09 Aug 1996 20:16:52 -0700 jmacd $
 * checkin.h:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#ifndef _CHECKIN_H_
#define _CHECKIN_H_

extern PrVoidError check_project(ProjectDescriptor*);

extern void eliminate_unnamed_files(ProjectDescriptor*);

extern PrVoidError warn_unused_files(bool prompt_abort);

extern void format_version_log(ProjectVersionData* project_data, Dstring& log);

PrVoidError eliminate_working_files(ProjectDescriptor* project, MissingFileAction action);

#endif
