/* -*-Mode: C++;-*-
 * $Id: diff.h 1.3.1.5 Fri, 09 Aug 1996 20:16:52 -0700 jmacd $
 * diff.h:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#ifndef _DIFF_H_
#define _DIFF_H_

void populate_table(ProjectDescriptor*, FileTable*);

FileEntry* lookup_file(FileEntry*, FileTable*);

void format_diff_label(FileEntry* fe, const char* name,
		       const char* version, Dstring* ds);

PrBoolError diff_pair(FileEntry* from,
		      FileEntry* to,
		      const char* from_file,
		      const char* to_file,
		      const char* to_version,
		      const char* from_version);

bool any_names_differ(FileEntry* working, FileEntry* common, FileEntry* selected);

#endif
